/**
  * @copyright Copyright 2013 by the Websoft Research Group, Nanjing University, PR China
  * @license MIT (https://opensource.org/licenses/MIT)
  * @link http://ws.nju.edu.cn/ptime
  */
package cn.edu.nju.ws.ptime.tml

case class TaggedToken(
 var text: String,
 var lemma: String,
 var posTag: String,
 var charBegin: Int,
 var charEnd: Int
) {
  def tok2string = s"$lemma/$posTag"
}
