/**
  * @copyright Copyright 2013 by the Websoft Research Group, Nanjing University, PR China
  * @license MIT (https://opensource.org/licenses/MIT)
  * @link http://ws.nju.edu.cn/ptime
  */
package cn.edu.nju.ws.ptime.tml

case class TDocument(
 docId: Int,
 dctValue: String,
 dctContent: String,
 docName: String,
 rawContent: String,
 taggedTokens: Array[TaggedToken]
) {
  def getExpression(from: Int, until: Int): Array[TaggedToken] = taggedTokens.slice(from, until)
}
